USE [NEBIMV3]
GO

/****** Object:  StoredProcedure [dbo].[sp_GiftCard_ADT]    Script Date: 31.05.2024 08:47:55 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE  [dbo].[sp_GiftCard_ADT] (   
   @SerialNumber char30  
   )
AS

SELECT cdGiftCard.SerialNumber
		, FirstValidDate		= cdGiftCard.FirstValidDate
		, LastValidDate			= cdGiftCard.LastValidDate
		, RemainingAmount		= cdGiftCard.Amount - cdGiftCard.UsedAmount		
	FROM cdGiftCard WITH(NOLOCK)
	WHERE cdGiftCard.IsBlocked=0
	AND cdGiftCard.Amount - cdGiftCard.UsedAmount>0
	AND IsSold=1
	AND LastValidDate>=Getdate()
	AND SerialNumber=@SerialNumber
GO

