USE [NEBIMV3]
GO

/****** Object:  StoredProcedure [dbo].[sp_InvoiceControlDate_ADT]    Script Date: 31.05.2024 08:50:53 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO



CREATE PROCEDURE  [dbo].[sp_InvoiceControlDate_ADT] (   
   @InvoiceDate date,
   @InvoiceTime time
   )
AS

select DISTINCT DocumentNumber,OrderDate,InvoiceDate,InvoiceTime,InvoiceNumber,EInvoiceNumber,tpInvoiceEArchieveXML.InvoiceURL from AllOrders 
LEFT OUTER JOIN AllInvoices ON  AllInvoices.OrderLineID = AllOrders.OrderLineID
LEFT OUTER JOIN tpInvoiceEArchieveXML ON tpInvoiceEArchieveXML.InvoiceHeaderID = AllInvoices.InvoiceHeaderID
WHERE DocumentNumber<>SPACE(0) AND InvoiceDate>= @InvoiceDate AND IsReturn=0 AND InvoiceTypeCode IN (1,2)
AND Invoicetime >= @InvoiceTime


GO

