USE [NEBIMV3]
GO

/****** Object:  StoredProcedure [dbo].[sp_ProductPriceGroup_ADT]    Script Date: 31.05.2024 08:53:29 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO


CREATE PROCEDURE [dbo].[sp_ProductPriceGroup_ADT]
    (
    @LastUpdatedDate Datetime 
	   
       )
AS
   SELECT	
	
		
			  Barcode = ISNULL(( SELECT	MAX(Barcode)
							   FROM		prItemBarcode WITH ( NOLOCK )
							   WHERE	prItemBarcode.BarcodeTypeCode IN ('B','Def')
										AND prItemBarcode.ItemTypeCode = prItemVariant.ItemTypeCode
										AND prItemBarcode.ItemCode = prItemVariant.ItemCode
										AND prItemBarcode.ColorCode = prItemVariant.ColorCode
										AND prItemBarcode.ItemDim1Code = prItemVariant.ItemDim1Code
							 ), SPACE(0))
	
	   ,Price1 = Isnull(ItemBasePrice.PurchasePrice ,SPACE(0))
	  , Price2 		= ISNULL(ItemBasePrice.RetailSalePrice 	 , SPACE(0))
	  , Price3 = ISNULL(ItemBasePrice.PlaningSalePrice  	 , SPACE(0))--İndirimli Fiyat
 

	 ,LastUpdatedDate =   convert(varchar, LastUpdatedDate_ADT.LastUpdatedDate, 120)
		  

	FROM	cdItem WITH ( NOLOCK )
		LEFT OUTER JOIN prItemVariant WITH ( NOLOCK ) ON prItemVariant.ItemTypeCode = cdItem.ItemTypeCode
														AND prItemVariant.ItemCode = cdItem.ItemCode

		LEFT OUTER JOIN LastUpdatedDate_ADT ON LastUpdatedDate_ADT.ItemCode = cdItem.ItemCode

		LEFT OUTER JOIN cdItemDim1Desc  WITH ( NOLOCK ) ON  cdItemDim1Desc.ItemDim1Code = prItemVariant.ItemDim1Code AND LangCode='TR'

		LEFT OUTER JOIN ProductFilterWithDescription ('TR') ON ProductFilterWithDescription.ProductTypeCode = prItemVariant.ItemTypeCode
														AND ProductFilterWithDescription.ProductCode = prItemVariant.ItemCode

		LEFT OUTER JOIN ItemBasePrice ('TR')  ON ItemBasePrice.ItemTypeCode = cdItem.ItemTypeCode AND ItemBasePrice.ItemCode = cdItem.ItemCode
	  												
		--Fiyat 1
--Model
			LEFT OUTER JOIN (SELECT * FROM ProductValidPrices(GETDATE(), GETDATE())
							WHERE ProductValidPrices.PriceListLineID = (SELECT TOP 1 LastPrice.PriceListLineID 
																			FROM ProductValidPrices(GETDATE(), GETDATE()) LastPrice
																			WHERE LastPrice.PriceGroupCode	= 'W1'
																			AND LastPrice.ItemTypeCode		= ProductValidPrices.ItemTypeCode
																			AND LastPrice.ItemCode			= ProductValidPrices.ItemCode
																			AND LastPrice.ColorCode			= ProductValidPrices.ColorCode
																			AND LastPrice.ItemDim1Code		= ProductValidPrices.ItemDim1Code
																			AND LastPrice.ItemDim2Code		= ProductValidPrices.ItemDim2Code
																			AND LastPrice.ItemDim3Code		= ProductValidPrices.ItemDim3Code
																			AND LastPrice.PaymentPlanCode	= ''
																			ORDER BY PriceListDate) 
																			
							AND 	ProductValidPrices.ColorCode = SPACE(0)
							AND 	ProductValidPrices.ItemDim1Code = SPACE(0)																	
							AND 	ProductValidPrices.ItemDim2Code = SPACE(0)																	
							AND 	ProductValidPrices.ItemDim3Code = SPACE(0)	) AS	ProductValidPrices_product
			ON ProductValidPrices_product.PriceGroupCode		= 'W1'
				AND ProductValidPrices_product.ItemTypeCode		= prItemVariant.ItemTypeCode
				AND ProductValidPrices_product.ItemCode			= prItemVariant.ItemCode
--Renk		
		LEFT OUTER JOIN (SELECT * FROM ProductValidPrices(getdate(), GETDATE())
							WHERE ProductValidPrices.PriceListLineID = (SELECT TOP 1 LastPrice.PriceListLineID 
																			FROM ProductValidPrices(getdate(), GETDATE()) LastPrice
																			WHERE LastPrice.PriceGroupCode	= 'W1'
																			AND LastPrice.ItemTypeCode		= ProductValidPrices.ItemTypeCode
																			AND LastPrice.ItemCode			= ProductValidPrices.ItemCode
																			AND LastPrice.ColorCode			= ProductValidPrices.ColorCode
																			AND LastPrice.ItemDim1Code		= ProductValidPrices.ItemDim1Code
																			AND LastPrice.ItemDim2Code		= ProductValidPrices.ItemDim2Code
																			AND LastPrice.ItemDim3Code		= ProductValidPrices.ItemDim3Code
																			AND LastPrice.PaymentPlanCode	= ''
																			ORDER BY PriceListDate) 
																			
								AND ProductValidPrices.ItemDim1Code = SPACE(0)) AS	ProductValidPrices_ItemColor
			ON ProductValidPrices_ItemColor.PriceGroupCode			= 'W1'
				AND ProductValidPrices_ItemColor.ItemTypeCode		= prItemVariant.ItemTypeCode
				AND ProductValidPrices_ItemColor.ItemCode			= prItemVariant.ItemCode				
				AND ProductValidPrices_ItemColor.ColorCode			= prItemVariant.ColorCode
--beden
		LEFT OUTER JOIN (SELECT * FROM ProductValidPrices(getdate(), GETDATE())
							WHERE ProductValidPrices.PriceListLineID = (SELECT TOP 1 LastPrice.PriceListLineID 
																			FROM ProductValidPrices(getdate(), GETDATE()) LastPrice
																			WHERE LastPrice.PriceGroupCode	= 'W1'
																			AND LastPrice.ItemTypeCode		= ProductValidPrices.ItemTypeCode
																			AND LastPrice.ItemCode			= ProductValidPrices.ItemCode
																			AND LastPrice.ColorCode			= ProductValidPrices.ColorCode
																			AND LastPrice.ItemDim1Code		= ProductValidPrices.ItemDim1Code
																			AND LastPrice.ItemDim2Code		= ProductValidPrices.ItemDim2Code
																			AND LastPrice.ItemDim3Code		= ProductValidPrices.ItemDim3Code
																			AND LastPrice.PaymentPlanCode	= ''
																			ORDER BY PriceListDate) 
																			
										) AS	ProductValidPrices_ItemDim1
			ON ProductValidPrices_ItemDim1.PriceGroupCode			= 'W1'
				AND ProductValidPrices_ItemDim1.ItemTypeCode		= prItemVariant.ItemTypeCode
				AND ProductValidPrices_ItemDim1.ItemCode			= prItemVariant.ItemCode				
				AND ProductValidPrices_ItemDim1.ColorCode			= prItemVariant.ColorCode
				AND ProductValidPrices_ItemDim1.Itemdim1Code		= prItemVariant.Itemdim1Code
				
---------------------------
		--Fiyat 2
--Model
			LEFT OUTER JOIN (SELECT * FROM ProductValidPrices(GETDATE(), GETDATE())
							WHERE ProductValidPrices.PriceListLineID = (SELECT TOP 1 LastPrice.PriceListLineID 
																			FROM ProductValidPrices(GETDATE(), GETDATE()) LastPrice
																			WHERE LastPrice.PriceGroupCode	= 'W2'
																			AND LastPrice.ItemTypeCode		= ProductValidPrices.ItemTypeCode
																			AND LastPrice.ItemCode			= ProductValidPrices.ItemCode
																			AND LastPrice.ColorCode			= ProductValidPrices.ColorCode
																			AND LastPrice.ItemDim1Code		= ProductValidPrices.ItemDim1Code
																			AND LastPrice.ItemDim2Code		= ProductValidPrices.ItemDim2Code
																			AND LastPrice.ItemDim3Code		= ProductValidPrices.ItemDim3Code
																			AND LastPrice.PaymentPlanCode	= ''
																			ORDER BY PriceListDate) 
																			
							AND 	ProductValidPrices.ColorCode = SPACE(0)
							AND 	ProductValidPrices.ItemDim1Code = SPACE(0)																	
							AND 	ProductValidPrices.ItemDim2Code = SPACE(0)																	
							AND 	ProductValidPrices.ItemDim3Code = SPACE(0)	) AS	ProductValidPrices_productW2
			ON ProductValidPrices_productW2.PriceGroupCode		= 'W2'
				AND ProductValidPrices_productW2.ItemTypeCode		= prItemVariant.ItemTypeCode
				AND ProductValidPrices_productW2.ItemCode			= prItemVariant.ItemCode
--Renk		
		LEFT OUTER JOIN (SELECT * FROM ProductValidPrices(getdate(), GETDATE())
							WHERE ProductValidPrices.PriceListLineID = (SELECT TOP 1 LastPrice.PriceListLineID 
																			FROM ProductValidPrices(getdate(), GETDATE()) LastPrice
																			WHERE LastPrice.PriceGroupCode	= 'W2'
																			AND LastPrice.ItemTypeCode		= ProductValidPrices.ItemTypeCode
																			AND LastPrice.ItemCode			= ProductValidPrices.ItemCode
																			AND LastPrice.ColorCode			= ProductValidPrices.ColorCode
																			AND LastPrice.ItemDim1Code		= ProductValidPrices.ItemDim1Code
																			AND LastPrice.ItemDim2Code		= ProductValidPrices.ItemDim2Code
																			AND LastPrice.ItemDim3Code		= ProductValidPrices.ItemDim3Code
																			AND LastPrice.PaymentPlanCode	= ''
																			ORDER BY PriceListDate) 
																			
								AND ProductValidPrices.ItemDim1Code = SPACE(0)) AS	ProductValidPrices_ItemColorW2
			ON ProductValidPrices_ItemColorW2.PriceGroupCode			= 'W2'
				AND ProductValidPrices_ItemColorW2.ItemTypeCode		= prItemVariant.ItemTypeCode
				AND ProductValidPrices_ItemColorW2.ItemCode			= prItemVariant.ItemCode				
				AND ProductValidPrices_ItemColorW2.ColorCode			= prItemVariant.ColorCode
--beden
		LEFT OUTER JOIN (SELECT * FROM ProductValidPrices(getdate(), GETDATE())
							WHERE ProductValidPrices.PriceListLineID = (SELECT TOP 1 LastPrice.PriceListLineID 
																			FROM ProductValidPrices(getdate(), GETDATE()) LastPrice
																			WHERE LastPrice.PriceGroupCode	= 'W2'
																			AND LastPrice.ItemTypeCode		= ProductValidPrices.ItemTypeCode
																			AND LastPrice.ItemCode			= ProductValidPrices.ItemCode
																			AND LastPrice.ColorCode			= ProductValidPrices.ColorCode
																			AND LastPrice.ItemDim1Code		= ProductValidPrices.ItemDim1Code
																			AND LastPrice.ItemDim2Code		= ProductValidPrices.ItemDim2Code
																			AND LastPrice.ItemDim3Code		= ProductValidPrices.ItemDim3Code
																			AND LastPrice.PaymentPlanCode	= ''
																			ORDER BY PriceListDate) 
																			
										) AS	ProductValidPrices_ItemDim1W2
			ON ProductValidPrices_ItemDim1W2.PriceGroupCode			= 'W2'
				AND ProductValidPrices_ItemDim1W2.ItemTypeCode		= prItemVariant.ItemTypeCode
				AND ProductValidPrices_ItemDim1W2.ItemCode			= prItemVariant.ItemCode				
				AND ProductValidPrices_ItemDim1W2.ColorCode			= prItemVariant.ColorCode
				AND ProductValidPrices_ItemDim1W2.Itemdim1Code		= prItemVariant.Itemdim1Code

				
---------------------------
	
	WHERE	cdItem.ItemTypeCode = 1
			AND cdItem.ItemCode <> SPACE(0)
			AND cdItem.UseStore=1
			AND LastUpdatedDate_ADT.LastUpdatedDate >=@LastUpdatedDate
			

GO

