USE [NEBIMV3]
GO

/****** Object:  StoredProcedure [dbo].[sp_StoreCiro_ADT]    Script Date: 31.05.2024 08:54:07 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO


CREATE PROCEDURE [dbo].[sp_StoreCiro_ADT]
    (
    @InvoiceDate Date
	   
       )
AS SELECT StoreCode
	, StoreDescription	= ISNULL((SELECT CurrAccDescription FROM cdCurrAccDesc WITH(NOLOCK) WHERE cdCurrAccDesc.CurrAccTypeCode = 5 AND cdCurrAccDesc.CurrAccCode = AllInvoices.StoreCode AND cdCurrAccDesc.LangCode = 'TR'), SPACE(0))
	 , Qty= SUM(QTY1), NetAmount = SUM(Loc_NetAmount) FROM AllInvoices
	WHERE ProcessCode IN('R','WS')	
			AND AllInvoices.ItemCode <> SPACE(0)
			AND AllInvoices.InvoiceDate =@InvoiceDate
			GROUP BY AllInvoices.StoreCode
			
GO

