USE [NEBIMV3]
GO

/****** Object:  StoredProcedure [dbo].[sp_StoreInfo_ADT]    Script Date: 31.05.2024 08:54:16 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO


CREATE PROCEDURE [dbo].[sp_StoreInfo_ADT]
    (
    @StoreCode nchar(30) 
	   
       )
AS
SELECT TOP 1 StoreInfo.OfficeCode
,StoreInfo.StoreCode
,StoreInfo.StoreDescription
,StoreInfo.Address
,StoreInfo.DistrictCode
,StoreInfo.DistrictDescription
,StoreInfo.CityCode
,StoreInfo.CityDescription
,StoreInfo.StateCode
,StoreInfo.StateDescription 
,prCurrAccPostalAddress.PostalAddressID 
	FROM StoreInfo('TR')
LEFT OUTER JOIN prCurrAccPostalAddress ON prCurrAccPostalAddress.CurrAccTypeCode=5 AND prCurrAccPostalAddress.CurrAccCode= StoreInfo.StoreCode
WHERE StoreCode=@StoreCode
GO

