USE [NEBIMV3]
GO

/****** Object:  StoredProcedure [dbo].[sp_Inventory_ADT]    Script Date: 31.05.2024 08:48:18 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [dbo].[sp_Inventory_ADT]
    (
    @Barcode nvarchar(30)
	)	   AS
SELECT  Barcode 
,CompanyCode = ItemInventory.CompanyCode
,OfficeCode = ItemInventory.OfficeCode
,StoreCode	= ItemInventory.StoreCode
,WarehouseCode = ItemInventory.WarehouseCode 
,ItemCode =  prItemBarcode.ItemCode
,ColorCode =  prItemBarcode.ColorCode 
,ItemDim1Code = prItemBarcode.ItemDim1Code 
,ItemDim2Code =  prItemBarcode.ItemDim2Code 
,ItemDim3Code =  prItemBarcode.ItemDim3Code 
,AvailableInventoryQty1 = ItemInventory.AvailableInventoryQty1 	
FROM prItemBarcode  WITH ( NOLOCK )  
LEFT OUTER JOIN ItemInventory  ON   prItemBarcode.ItemTypeCode = ItemInventory.ItemTypeCode
										AND prItemBarcode.ItemCode = ItemInventory.ItemCode
										AND prItemBarcode.ColorCode = ItemInventory.ColorCode
										AND prItemBarcode.ItemDim1Code = ItemInventory.ItemDim1Code 
										AND prItemBarcode.ItemDim2Code = ItemInventory.ItemDim2Code  
										AND prItemBarcode.ItemDim3Code = ItemInventory.ItemDim3Code 
WHERE ItemInventory.AvailableInventoryQty1>0
	AND prItemBarcode.Barcode=@Barcode
GO

